package com.zd.laboratory.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 首页大屏违规记录统计图
 *
 * @Author: cyl
 * @Date: 2022/02/16/15:17
 * @Description:
 */
@ApiModel("统计图")
public class LabViolationSubListVO {


    @ApiModelProperty("违规类型")
    private Long type;

    @ApiModelProperty("违规内容")
    private String content;

    @ApiModelProperty("违规数量统计")
    private Long num;

    @ApiModelProperty("实验室id")
    private String subId;

    @ApiModelProperty("实验室名称")
    private String subName;

    @ApiModelProperty("分级名称")
    private String classifiedName;

    @ApiModelProperty("分类名称")
    private String typeName;


    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getNum() {
        return num;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public String getSubId() {
        return subId;
    }

    public void setSubId(String subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getClassifiedName() {
        return classifiedName;
    }

    public void setClassifiedName(String classifiedName) {
        this.classifiedName = classifiedName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
